=head1 NAME

Gtk2::ToolButton - wrapper for GtkToolButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 toolitem = Gtk2::ToolButton-E<gt>B<new> ($icon_widget, $label)

=over

=item * $icon_widget (Gtk2::Widget or undef) 

=item * $label (string or undef) 

=back

=head2 toolitem = Gtk2::ToolButton-E<gt>B<new_from_stock> ($stock_id)

=over

=item * $stock_id (string) 

=back

=head2 string or undef = $button-E<gt>B<get_icon_name> 

Since: gtk+ 2.8

=head2 $button-E<gt>B<set_icon_name> ($icon_name)

=over

=item * $icon_name (string or undef) 

=back

Since: gtk+ 2.8

=head2 widget or undef = $button-E<gt>B<get_icon_widget> 

=head2 $button-E<gt>B<set_icon_widget> ($icon_widget)

=over

=item * $icon_widget (Gtk2::Widget or undef) 

=back

=head2 string or undef = $button-E<gt>B<get_label> 

=head2 $button-E<gt>B<set_label> ($label)

=over

=item * $label (string or undef) 

=back

=head2 widget or undef = $button-E<gt>B<get_label_widget> 

=head2 $button-E<gt>B<set_label_widget> ($label_widget)

=over

=item * $label_widget (Gtk2::Widget or undef) 

=back

=head2 string = $button-E<gt>B<get_stock_id> 

=head2 $button-E<gt>B<set_stock_id> ($stock_id)

=over

=item * $stock_id (string or undef) 

=back

=head2 boolean = $button-E<gt>B<get_use_underline> 

=head2 $button-E<gt>B<set_use_underline> ($use_underline)

=over

=item * $use_underline (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'icon-name' (string : default undef : readable / writable / private)

The name of the themed icon displayed on the item

=item 'icon-widget' (Gtk2::Widget : default undef : readable / writable / private)

Icon widget to display in the item

=item 'label' (string : default undef : readable / writable / private)

Text to show in the item.

=item 'label-widget' (Gtk2::Widget : default undef : readable / writable / private)

Widget to use as the item label

=item 'stock-id' (string : default undef : readable / writable / private)

The stock icon displayed on the item

=item 'use-underline' (boolean : default false : readable / writable / private)

If set, an underline in the label property indicates that the next character should be used for the mnemonic accelerator key in the overflow menu

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'icon-spacing' (integer : default 3 : readable / writable / private)

Spacing in pixels between the icon and label

=back



=cut


=head1 SIGNALS

=over

=item B<clicked> (Gtk2::ToolButton)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::ToolItem>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

